image: rust

stages:
    - unit_tests

test_code_writer:
    stage: unit_tests
    script:
        - cargo test --release code_writer

test_cmd_types:
    stage: unit_tests
    script:
        - cargo test --release cmd_types

test_parser:
    stage: unit_tests
    script:
        - cargo test --release parser